Vin = 48
Vo  = 5
Po  = 10
Io  = Po/Vo
Ts  = 3e-6
D   = [0.1:0.05:0.9];
Vs  = 1
N   = (Vo+Vs)*(1-D)./(D*Vin);
Lm  = 675e-6
Icpkpk = Io./(1-D) + (Vo+Vs)*(1-D)*Ts./(2*N.^2*Lm);

figure(1); plot(D,N,'b','linewidth',2); grid on; hold on;
set(gca, 'fontsize', 16);
ylabel('Ns/Np'); xlabel('D')

figure(2); plot(D,Icpkpk,'b','linewidth',2); grid on; hold on;
set(gca, 'fontsize', 16);
ylabel('I_{C,pk-pk}'); xlabel('D')
